<?php

namespace forolaravel\Http\Controllers;

use Illuminate\Http\Request;

use forolaravel\Http\Requests;

use forolaravel\Foro;

use Illuminate\Support\Facades\Redirect;

use forolaravel\Http\Requests\TemasFormRequest;

use DB;

class UsuarioController extends Controller
{ 
    public function __construct(){
     
   

    }

   public function index(Request $request){

     
     if($request){

     $query= trim($request->get('searchText'));
     $temas= DB::table('temas')->where('descripcion','LIKE','%'.$query.'%')
     ->where('idusuario','=','1')
     ->orderBy('idtemas','desc')
     ->paginate(7);
     return view('pagina.usuarios.index',["temas"=>$temas,"searchText"=>$query]); 
   }

   }

public function create(){

  return view ("pagina.temas.create");
   	
   }

 public function store(TemasFormRequest $request){

   	  
     $temas= new Foro;
     $temas->descripcion=$request->get('descripcion');
     $temas->idusuario='1';
     $temas->save();

     return Redirect::to('pagina/temas');
 }  

public function show($id){
     $tem = $id;
     $respuestas= DB::table('respuestas')
     ->select('respuestas.descripcion')
     ->where('respuestas.idtemas','=',$tem)
     ->get();

     return view('pagina.temas.createComen',["temas"=> Foro::findOrFail($id)])->with(compact('respuestas')); 
//return view("pagina.temas.show",["temas"=> Foro::findOrFail($id)]);   	
   }


   public function edit($id){

 

     // dd($tem);
return view("pagina.temas.edit",["temas"=> Foro::findOrFail($id)]);
   	
   }

   public function update(TemasFormRequest $request, $id ){

   	$temas=Foro::findOrFail($id);
    $temas->descripcion=$request->get('descripcion');
    $temas->update();

    return Redirect::to('pagina/temas');
   }

   public function destroy($id){
    
    $temas = Foro::find($id);
        
        if (is_null ($temas))
        {
            App::abort(404);
        }
        
        $temas->delete();
     
      return Redirect::to('pagina/temas');


   	
   }

      public function date($id) {
     
    


   }


}

